import React from "react";

const Conversation: React.FC = () => {
  const [messages, setMessages] = React.useState<string[]>([]);
  const [messageInput, setMessageInput] = React.useState("");

  console.log(messageInput)
  return (
    <div>
      <div>
        {messages.map((message, index) => (
          <div className="m-2" key={index}>
            {message}
          </div>
        ))}
      </div>

      <form
        className="flex flex-row"
        onSubmit={(e) => {
          e.preventDefault();
          setMessages([...messages, messageInput]);
          setMessageInput("");
        }}
      >
        <input
          className="flex-auto border-2 p-2 rounded mx-1"
          type="text"
          placeholder="message"
          value={messageInput}
          onChange={(e) => setMessageInput(e.target.value)}
        />
        <button className="bg-blue-300 p-2 rounded mr-1" type="submit">
          Send
        </button>
      </form>
    </div>
  );
};

export default Conversation;
